<template>
    <vue-sticky-sidebar
        class="sidebar"
        containerSelector=".container"
        innerWrapperSelector=".sidebar__inner"
        :topSpacing="100"
        :minWidth="720"
    >
        <div id="sidebar" class="sidebar-left">
        <div class="sidebar_inner">
            <div class="list-group no-border list-unstyled">
                <span class="list-group-item heading"
                    >Manage Listings</span
                >
                <a
                    href="my_listing_add.html"
                    class="list-group-item"
                    ><i
                        class="fa fa-fw fa-plus-square-o"
                    ></i>
                    Add Listing</a
                >
                <a
                    href="my_bookmarked_listings.html"
                    class="list-group-item d-flex justify-content-between align-items-center"
                    ><span
                        ><i
                            class="fa fa-fw fa-bookmark-o"
                        ></i>
                        Bookmarked Listing</span
                    >
                    <span
                        class="badge badge-primary badge-pill"
                        >10</span
                    >
                </a>
                <a
                    href="my_listings.html"
                    class="list-group-item d-flex justify-content-between align-items-center"
                    
                    ><span
                        ><i class="fa fa-fw fa-bars"></i> My
                        Listings</span
                    >
                    <span
                        class="badge badge-primary badge-pill"
                        >7</span
                    >
                </a>
                <span class="list-group-item heading"
                    >Manage Account</span
                >
                <a
                    href="/profile"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-pencil"></i> My
                    Profile</a
                >
                <a
                    href="/profile/password"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-lock"></i> Change
                    Password</a
                >
                <a
                    href="/profile/notifications"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-bell-o"></i>
                    Notifications</a
                >
                <a
                    href="/profile/memberships"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-cubes"></i>
                    Membership</a
                >
                <a
                    href="my_payments.html"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-credit-card"></i>
                    Payments</a
                >
                <a
                    href="my_account.html"
                    class="list-group-item"
                    ><i class="fa fa-fw fa-cog"></i>
                    Account</a
                >
            </div>
        </div>
    </div>
    </vue-sticky-sidebar>
    
</template>
<script>
import vueStickySidebar from "vue-sticky-sidebar";
export default {
    components: {
        "vue-sticky-sidebar": vueStickySidebar,
    },
    mounted(){
        this.active()
    },
    methods:{
        active(e){
            let h = location.href
            let id = document.getElementById('sidebar').getElementsByTagName('a');
            for(let e of id){
                if(e.href == h){
                    e.classList.add("active")
                }
            }
        }
    }
}
</script>